osgManipulator::Constraint Class Reference

`#include <Constraint>`

Inheritance diagram for osgManipulator::Constraint:

## Public Member Functions

virtual bool | constrain (MotionCommand &) const
virtual bool | constrain (TranslateInLineCommand &command) const
virtual bool | constrain (TranslateInPlaneCommand &command) const
virtual bool | constrain (Scale1DCommand &command) const
virtual bool | constrain (Scale2DCommand &command) const
virtual bool | constrain (ScaleUniformCommand &command) const
virtual bool | constrain (Rotate3DCommand &command) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Member Functions

| Constraint ()
| Constraint (osg::Node &refNode)
virtual | ~Constraint ()
osg::Node & | getReferenceNode ()
const osg::Node & | getReferenceNode () const
const osg::Matrix & | getLocalToWorld () const
const osg::Matrix & | getWorldToLocal () const
void | computeLocalToWorldAndWorldToLocal () const
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Constructor & Destructor Documentation

## Constraint() [1/2]

osgManipulator::Constraint::Constraint | ( |  | ) |

inline protected

## Constraint() [2/2]

osgManipulator::Constraint::Constraint | ( | osg::Node & | refNode | ) |

inline protected

## ~Constraint()

virtual osgManipulator::Constraint::~Constraint | ( |  | ) |

inline protected virtual

## Member Function Documentation

## computeLocalToWorldAndWorldToLocal()

void osgManipulator::Constraint::computeLocalToWorldAndWorldToLocal | ( |  | ) | const

protected

## constrain() [1/7]

virtual bool osgManipulator::Constraint::constrain | ( | MotionCommand & |  | ) | const

inline virtual

Referenced by osgManipulator::MotionCommand::accept(), osgManipulator::Rotate3DCommand::accept(), osgManipulator::Scale1DCommand::accept(), osgManipulator::Scale2DCommand::accept(), osgManipulator::ScaleUniformCommand::accept(), osgManipulator::TranslateInLineCommand::accept(), and osgManipulator::TranslateInPlaneCommand::accept().

## constrain() [2/7]

virtual bool osgManipulator::Constraint::constrain | ( | Rotate3DCommand & | command | ) | const

inline virtual

References constrain().

Referenced by constrain().

## constrain() [3/7]

virtual bool osgManipulator::Constraint::constrain | ( | Scale1DCommand & | command | ) | const

inline virtual

Reimplemented in osgManipulator::GridConstraint.

References constrain().

Referenced by constrain().

## constrain() [4/7]

virtual bool osgManipulator::Constraint::constrain | ( | Scale2DCommand & | command | ) | const

inline virtual

Reimplemented in osgManipulator::GridConstraint.

References constrain().

Referenced by constrain().

## constrain() [5/7]

virtual bool osgManipulator::Constraint::constrain | ( | ScaleUniformCommand & | command | ) | const

inline virtual

Reimplemented in osgManipulator::GridConstraint.

References constrain().

Referenced by constrain().

## constrain() [6/7]

virtual bool osgManipulator::Constraint::constrain | ( | TranslateInLineCommand & | command | ) | const

inline virtual

Reimplemented in osgManipulator::GridConstraint.

References constrain().

Referenced by constrain().

## constrain() [7/7]

virtual bool osgManipulator::Constraint::constrain | ( | TranslateInPlaneCommand & | command | ) | const

inline virtual

Reimplemented in osgManipulator::GridConstraint.

References constrain().

Referenced by constrain().

## getLocalToWorld()

const osg::Matrix & osgManipulator::Constraint::getLocalToWorld | ( |  | ) | const

inline protected

## getReferenceNode() [1/2]

osg::Node & osgManipulator::Constraint::getReferenceNode | ( |  | ) |

inline protected

## getReferenceNode() [2/2]

const osg::Node & osgManipulator::Constraint::getReferenceNode | ( |  | ) | const

inline protected

## getWorldToLocal()

const osg::Matrix & osgManipulator::Constraint::getWorldToLocal | ( |  | ) | const

inline protected

The documentation for this class was generated from the following file:

- Constraint